Subject: Re: Nested dirs for non existing targets

From: Andrew Chambers <[email-masked]>
Date: Thu, 14 Apr 2022 23:30:27 +1200

>> Short answer: Yes, that is the intended behavior. Goredo maintains a 
>> distributed database and has to make an entry for your mistyped 
>> target at the target directory.
>
>
> I understand this is the case for targets that would be created in an 
> existing directory, but if there is no directory I am not sure why 
> goredo creates it. This seems like an incompatibility with other redo 
> implementations.
>
>
Ah, I see my mistake now - in some ways this is perhaps somewhat 
unfortunate, though I'm not sure how to avoid it. One way would be for 
goredo to store the dependency information in the directory containing 
the do file instead of the directory containing the target.